dh-make-golang (0.7.0-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 11:42:24 +1000

dh-make-golang (0.7.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:32 +1100

dh-make-golang (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0

    [ Guillem Jover ]
    * Use new dh-sequence-golang instead of dh-golang and --with=golang
  
    * Add mongodb to known hosts.
      This is required by the go.mongodb.org/mongo-driver modules.
  
    * Generate a debian/.gitignore file.
      This helps ignoring artifacts that git should not track, and which it
      can safely clean.
  
    * Reorder generated fields.
  
      While stylistic, the rationale for these changes is as follows:
  
      = debian/control
  
      - Group Section and Priority together as these categorize the package,
        and place them after Source or Package fields, as this determines
        where in the archive these might end up.
      - Place Maintainer/Uploader after these, as the responsible party for
        the package.
      - Move Rules-Requires-Root before Build-Depends, as this determines
        how to drive the building process, and might impose additional
        dependencies, such as fakeroot or sudo.
      - Move the Testsuite after the Build-Depends, as this is part of the
        runnable metadata.
  
      = debian/copyright
  
      - Move the Source field after Format, as both line up, refer to an
        URL, and it's the first reference to the upstream project.
  
    * Set a Section: TODO field for program packages.
      The golang section is for Go development packages, the fact that a
      program is written in Go is generally of no major relevance for the
      user, and instead a more suitable section relative to its actual
      functionality should be used, to help a proper categorization in the
      archive.
  
    [ dependabot ]
    * Bump github.com/mattn/go-isatty from 0.0.13 to 0.0.14
  
    [ Taavi Väänänen ]
    * make: download tarballs from sr.ht
      and add a test for the tarball URL generation.
  
    [ Anthony Fok ]
    * Bump glamour requirement to get bluemonday v1.0.16
    * Fix empty tarball in case of "unsupported hoster".
      This fixes the error that I introduced on 2021-08-26 in commit 64dccd7
      "Refactor the logic on whether to download upstream tarball"
      Thanks to @mdosch for the report and @creekorful for tips on error
      handling.  Fixes #180, fixes #190 (Closes: #993703, #1064567)
    * Handle salsa.debian.org too in tarballFromHoster()
      to fetch pristine tarball (.gz) instead of compressing our own (.xz)
    * Set u.remote as "salsa" instead of "debian" for salsa.debian.org
      to avoid git remote and git branch containing the same "debian" name
    * Add modernc.org as "modernc" to knownHosts
    * Use https for Apache license link
    * Create dependabot.yml
    * Update .github/workflows/ci-test.yml to test with go1.18
    * Replace deprecated ioutil functions with their io or os equilvalents
    * Add --no-show-signature to "git log --pretty=format:%ct -n1" call
      so the timestamp can be read correctly even if the user has set
      log.showSignature to true in git config. (Closes: #1035321)
    * Bump dependencies:
      - Bump go from 1.16 to 1.21
      - Bump golang.org/x/net from v0.0.0-20210614182718-04defd469f4e to v0.21.0
      - Bump golang.org/x/mod from v0.5.1 to v0.15.0
      - Bump github.com/google/go-github/v38 to github.com/google/go-github/v60
      - Add golang.org/x/tools/go/vcs v0.1.0-deprecated
      - etc.
      Fixes #200, fixes #203
    * ci-test: Bump go version to 1.21 and 1.22 for testing
    * make: Unset GO111MODULE=off so that "go list" works with Go 1.21+.
      This fixes dh-make-golang’s failure to determine dependencies
      since 2023-08-21 when Go 1.21 became the default in Debian.
      (Closes: #1050523)
  
    [ Maytham Alsudany ]
    * Bump template Standards-Version to 4.6.2 in template.go
  
    [ Reinhard Tartler ]
    * Tolerate "errornous" packages in go list
      Fixes: #204

  * Reorder fields in debian/control
  * Change Section from devel to golang
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Include our own copy of golang.org/x/tools/go/vcs@v0.1.0-deprecated
    (Closes: #1043070)
  * Replace Built-Using field with Static-Built-Using
  * Remove 01-Update-the-import-path-of-golang-github-google-go-github.patch
    and use debian/rules to strip off major version (e.g. v60) from
    github.com/google/go-github/v60/github instead.

 -- Anthony Fok <foka@debian.org>  Fri, 22 Mar 2024 06:08:43 -0600

dh-make-golang (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * reactivate debian patch
    01-Update-the-import-path-of-golang-github-google-go-github.patch
    and extend to go.mod to allow build using go-github v48.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Nov 2022 12:59:55 +0100

dh-make-golang (0.6.0-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * New upstream version 0.6.0.
  * Add myself as Uploader.
  * Implement clone command to allow easily cloning
    from Salsa and download of upstream .orig.tar.gz
    from FTP archive. This ensure a clean upstream
    tarball will be use.
  * Implement check-depends command to compare dependencies
    between go.mod and d/control.
  * Use new Gitlab CI template.
  * Add software.sslmate.com to knownHosts.

  [ Anthony Fok ]
  * Add go.cypherpunks.ru as "cypherpunks" to knownHosts.
  * Switch description renderer to goldmark/Glamour.
  * Template: Fix errors in debian/watch track git HEAD comment.

  [ Shengjing Zhu ]
  * Add go.opentelemetry.io to knownHosts.

 -- Aloïs Micard <creekorful@debian.org>  Fri, 26 Nov 2021 00:47:58 +0100

dh-make-golang (0.5.0-1) unstable; urgency=medium

  [ Guillem Jover ]
  * Update default upstream gitignore directories.
    Add _build as that's the default build directory. Anchor both _build
    and .pc under the root source by prefixing with «/». Mark them as
    directories by suffixing with «/».
  * Place license location on the filesystem in a Comment field.
    This is not part of the license statement, it's rather an ancillary
    comment about where to find it.

  [ Peymaneh Nejad ]
  * Add step (go.step.sm) to knownHosts

  [ Federico Grau ]
  * Check for and move upstream debian dir if it exists (Closes: #983241)

  [ Arnaud Rebillout ]
  * Make sure to call normalizeDebianProgramName() on the whole name,
    not on parts.
  * Renaming: normalizeDebian{Program,Package}Name
  * Add testcases to nameFromGoPkg: golang.org/x/term and two others.
  * Update debian-policy link url
  * Set debianBranch in execMake(), use it in createGitRepository()
    This minor refactoring prepares the code for the next commit, where we
    will need to know the Debian branch in `execMake()`.
  * Fix make output: run 'git push' before 'gbp push'
    As mentioned in #107, running 'gbp push' when there's no debian tag is
    not the right thing to do,  as it will only push the upstream branch.
    Consequences are:
    1. The default gitlab branch is set to the upstream branch instead of
       the debian branch.
    2. The debian branch is not pushed and needs to be pushed manually
       anyway.
    I believe that the best thing to do instead is just to run 'git push
    origin <debian-branch>' first, and then run 'gbp push'.
  * Keep compatibility with Git below 2.28.
    Thanks to Alois Micard for pointing that out

  [ Aleksey Morarash ]
  * Extend .gitignore with vim temporary files
  * Annotate errors with context.
    This will prevent situations when program terminates with bare error
    leaving the user without any clue of where the error was occurred.

  [ Anthony Fok ]
  * New upstream version 0.5.0
  * Set GO111MODULE=off when calling "go list" etc.
    to keep dh-make-golang make and estimate working with Go 1.16 and 1.17
  * Add "Multi-Arch: foreign" to library package in debian/control
  * Add Expat (MIT) license text template
  * Recognize upstream pre-release versions so that tilde '~' instead of '-'
    is used in upstream tarball and in debian/changelog, e.g. "1.0.0~rc1"
    instead of "1.0.0-rc.1".  Thanks to nicoo (Closes: #981421)
  * Workaround "go list" error when upstream uses "../.." in import path
    (Closes: #992610)
  * make: Add -program_package_name flag.
    This allows overriding the program package name, and the source package
    name too when appropriate, e.g. to name github.com/cli/cli as "gh".
    See discussion at #951374 https://bugs.debian.org/951374
  * make: Change -force_prerelease and -upstream_git_history flags
    to use underscore instead of hyphen
  * make: Change some wordings in help and instruction, especially
    the use of "git commit -S" for signing the commit
  * Add fyne.io as "fyne" to knownHosts
  * Add filippo.io as "filippo" to knownHosts
  * Fix SA1006 and ST1005 reported by staticcheck
    - ST1005 Incorrectly formatted error string
    - SA1006 Printf with dynamic first argument and no further arguments
  * Migrate from Travis CI to GitHub Actions workflow for CI tests
  * Bump build-dependency on golang-any to (>= 2:1.13~)
    and golang-github-google-go-github-dev to (>= 38)
  * Bump Standards-Version to 4.6.0 (no change)
  * Refresh 01-Update-the-import-path-of-golang-github-google-go-github.patch
    from v32 to v38, but also disable it, as it seems dh-make-golang
    builds just fine with Go 1.15 without the patch.

 -- Anthony Fok <foka@debian.org>  Thu, 26 Aug 2021 14:59:33 -0600

dh-make-golang (0.4.0-1) unstable; urgency=medium

  [ Ben Fiedler ]
  * Normalize every part of a Gopkg's name.  Fixes #127.

  [ Lucas Kanashiro ]
  * template.go: bump debhelper-compat version to 13

  [ dineshks1 ]
  * Add travis jobs on ppc64le

  [ Shengjing Zhu ]
  * Change section to golang.
    See https://lists.debian.org/debian-devel-announce/2020/10/msg00005.html
  * Bump go-github to v32.
    We have packaged golang-github-google-go-github-dev v32
  * Set timezone to UTC in TestSnapshotVersion (Closes: #966674)

  [ Anthony Fok ]
  * Add rsc.io as "rsc" to knownHosts
  * template: Generate debian/upstream/metadata too.  Fixes #144
  * Move debian/man/dh-make-golang.md from Debian packaging
    to this upstream repository.  Fixes #129
  * Add support for upstream tag that is not <version> or v<version>
    e.g. github.com/lxc/lxd with tag "lxd-4.8", and honnef.co/go/tools
    with tag "2020.1".  Fixes #139 (Closes: #956900)
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Update 01-Update-the-import-path-of-golang-github-google-go-gi.patch to v32
  * Remove 02-Skip-test-fails-on-reproducible-builds.patch
    as a proper fix has been committed by Shengjing Zhu upstream
  * Adjust debian/* for the move of debian/man/dh-make-golang.md
    to the upstream repository

 -- Anthony Fok <foka@debian.org>  Fri, 13 Nov 2020 19:27:08 -0700

dh-make-golang (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Mon, 21 Sep 2020 13:41:36 +0900

dh-make-golang (0.3.3-2~exp2) experimental; urgency=medium

  * debian/patches:
    - Add patch 02 to skip test fails on reproducible builds.

 -- Roger Shimizu <rosh@debian.org>  Sun, 02 Aug 2020 01:43:00 +0900

dh-make-golang (0.3.3-2~exp1) experimental; urgency=medium

  * Team upload.
  * debian/control:
    - Bump up golang-github-google-go-github-dev version to 32.
  * debian/patches:
    - Add patch to update the import path of
      golang-github-google-go-github.

 -- Roger Shimizu <rosh@debian.org>  Thu, 23 Jul 2020 18:04:15 +0900

dh-make-golang (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3:
    - Remove unneeded golang-*-dev dependency for program
      This fixes a bug that I introduced in commit 8ed6b21 for v0.1.0
    - Fix erroneous reference to --include-upstream-history
      in the instruction; should be --upstream-git-history instead.
    - Remove "# TODO: publish under debian-go-team/ci"
      from debian/gitlab-ci.yml, as I believe that has already been done,
      and so that its TODO would not confuse the packager.
    - Add "Upstream-Contact: TODO" to generated debian/copyright
      as mentors.debian.net seems to require this field, and if missing,
      would display the following warning:
          RFS: author info missing
          Upstream-Contact: was not found in d/copyright.
          RFS will not autocomplete the Upstream author.
    - Move Build-Depends-{Arch,Indep} back into Build-Depends.
      For Go packages, golang-any and dependencies are always needed
      regardless of whether we are building a program or a library,
      and it is not like we need e.g. texinfo to build *-doc packages,
      so the use Build-Depends-Arch and Build-Depends-Indep served
      no purpose other than unnecessarily complicating things.
    - template: Add "dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1"
      to debian/watch if Files-Excluded is added to debian/copyright
    - Add honnef.co as "honnef" to knownHosts
    - Print dh-make-golang version at the start of make

 -- Anthony Fok <foka@debian.org>  Wed, 26 Feb 2020 17:29:53 -0700

dh-make-golang (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2:
    - Refactor shortHostName:
      Move knownHosts to a map to simplify the code,
      and fix the publicsuffix guess, input should be fqdn.
    - Sort the knownHosts list in alphabetical order
    - Add {sigs,}k8s.io, "gocloud" (gocloud.dev), sourcehut (git.sr.ht),
      and "uber" (go.uber.org) to knownHosts.
    - Fix version detection for multi-module repo.
    - Download upstream tarball from GitHub or GitLab
      if so resolved by vcs.RepoRootForImportPath().
    - Update Standards-Version to 4.5.0
    - Fix ineffectual assignment to err in tarballFromHoster()
    - Manage MIT (Expat) license too
    - Remove unneeded golang-*-dev dependency for program.
      Fixes a bug that was introduced in commit 8ed6b21 for v0.1.0
  * Bump Standards-Version to 4.5.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 23 Feb 2020 01:41:22 -0700

dh-make-golang (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1:
    - Generate debian/gitlab-ci.yml too.
    - Add remote "origin" to point to Salsa in .git/config
      to save the user from doing so manually.
    - Preconfigure git branches just as "git clone" and "gbp clone" would do.
      Thanks to Antoine Beaupre for the suggestion!  (Closes: #921536)
    - List full path of /usr/sbin/sendmail in final instructions
      so that the end developer can copy-and-paste to send ITP mail
      without using sudo.
    - Fix -allow_unknown_hoster parsing error in make.go.
      Thanks to James Montgomery for the fix!  (Closes: #947512)
    - Sort dependency list like wrap-and-sort, i.e. place variables
      such as ${misc:Depends} and ${shlibs:Depends} at the end of the list.
      Thanks to Arnaud Rebillout for the suggestion!

 -- Anthony Fok <foka@debian.org>  Tue, 31 Dec 2019 12:29:20 -0700

dh-make-golang (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0:
    "dh-make-golang" now includes the full upstream git history
    by default as recommended by Debian Go Packaging Team’s new workflow,
    see https://go-team.pages.debian.net/workflow-changes.html.
    This is still somewhat experimental, so all feedback is welcome!

 -- Anthony Fok <foka@debian.org>  Sun, 01 Dec 2019 07:01:38 -0700

dh-make-golang (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
    - Prefer upstream tagged release version over master (HEAD),
      and download upstream release tarball if available,
      just like what uscan would do with our default debian/watch.
    - Add -force-prerelease flag to revert to old behaviour
      of always choosing @master (git HEAD) over @latest tagged version.
    - Generate debian/watch to track git HEAD if upstream has never
      tagged any release.
    - Fix missing long description for non-GitHub import path
      when "go-source" meta tag actually resolves to GitHub.
    - Add gitlab.com hoster as "gitlab".
    - Add blitiri.com.ar hoster as "blitiri".

 -- Anthony Fok <foka@debian.org>  Fri, 29 Nov 2019 14:20:45 -0700

dh-make-golang (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1:
    - Fix "gbp import-orig" call for -pristine-tar=true so that
      the pristine-tar branch is actually created if requested
    - Stop adding "Files-Excluded: Godeps/_workspace" to debian/copyright
      if no such directory exists upstream
    - Suppress "Switched to a new branch 'debian/sid'" message
    - Use fmt.Printf() instead of log.Printf() for final instructions

 -- Anthony Fok <foka@debian.org>  Mon, 25 Nov 2019 07:10:56 -0700

dh-make-golang (0.1.0-1) unstable; urgency=medium

  * New upstream version 0.1.0:
    - Start of semantic versioning
    - New flags -dep14, -pristine-tar and -wrap-and-sort are added;
      the -type flag has been extended to support packages with both
      library and program.  Run "dh-make-golang make -help" for details.
  * Change debian/watch to track upstream tarball
  * Add debian/gbp.conf and switch master to debian/sid
    for DEP-14 conformance
  * Bump Standards-Version to 4.4.1 (no change)
  * Add myself to the list of Uploaders
  * Add Build-Depends on golang-github-mattn-go-isatty-dev

 -- Anthony Fok <foka@debian.org>  Fri, 22 Nov 2019 16:51:00 -0700

dh-make-golang (0.0~git20190811.3953808-1) unstable; urgency=medium

  * New upstream version 0.0~git20190811.3953808
    - Remove patch, has been applied upstream
  * Add watch file for git repository
  * Disable usage of pristine-tar

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 27 Aug 2019 21:31:52 +0200

dh-make-golang (0.0~git20190305.55fc2d0-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * d/control: set minimum required version of golang-any
    the new dependency on golang-github-google-go-github-dev
    needs at least 1.9, so we need it here now as well.

  [ Guillem Jover ]
  * Bump Standards-Version to 4.3.0
  * Build object files under _build/
    By default the build directory is arch-qualified, which means that we
    cannot easily ignore them in places like .gitignore. Use a well-known
    pathname for this.
  * Wrap, sort, indent by one, and add trailing commas to multi-line fields.
    Format fields in a way that minimizes diff output and that makes it
    easier to copy & paste or move lines around between fields:
     - Adding a trailing comma on the last entry makes appending new
       entries not affect the last one.
     - Starting the field value on the next line makes inserting or changing
       the first value generate less diff.
     - Indenting by one space, makes the contents movable between fields,
       and gives a unified format to all such fields.
     - Sorting makes the contents easier to find and easier to avoid
       adding duplicates.
    We cannot currently do this for the Go-Import-Path field, because
    dh-golang does not cope with this file being multi-line with an empty
    first line, yet.
  * Update .gitignore files
  * Set Rules-Requires-Root to no.
    This makes it possible to build packages w/o requiring (pseudo-)root
    privileges.

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.0~git20190305.55fc2d0
  * Use debhelper-compat and switch to v12
  * Update Standards-Version to 4.4.0, no changes needed
  * Update d/copyright
  * Add patch to use S-V 4.4.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 08 Aug 2019 11:14:59 +0200

dh-make-golang (0.0~git20180827.d94f0cb-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump package's Standards-Version to 4.2.1.
  * Bump Standards-Version to 4.2.1 in generated debian/control files.
  * Add missing Recommends on golang-golang-x-tools for digraph(1)
    used in the "estimate" subcommand.

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.0~git20180827.d94f0cb
  * Call dh_auto_install with --no-source
  * Update Maintainer team address
  * Add myself as Uploader
  * Use debhelper v11
  * Add two new dependencies for new upstream version
  * Update manpage, convert to markdown and generate it from markdown source
  * Add default-mta to fix a lintian warning

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 15 Sep 2018 23:01:41 +0200

dh-make-golang (0.0~git20180410.bcfd5bf-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * Team upload.
  * New upstream version 0.0~git20180410.bcfd5bf:
    Change Vcs-* URLs to salsa.debian.org, and bump Standards-Version
    to 4.1.4 in generated debian/control
  * Remove old alternative dependency on golang-blackfriday-dev
  * Bump Standards-Version to 4.1.4 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 10 Apr 2018 11:01:57 -0600

dh-make-golang (0.0~git20180305.d24646f-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20180305.d24646f
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 20 Mar 2018 18:24:17 +0100

dh-make-golang (0.0~git20180129.37f630a-1) unstable; urgency=medium

  * Team upload.
  * Remove unused dont-use-flags.patch.
  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Mon, 29 Jan 2018 12:01:43 -0500

dh-make-golang (0.0~git20180106.d9d27ff-1) unstable; urgency=medium

  * Team upload.
  * Remove unused patches.
  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 07 Jan 2018 15:14:23 -0500

dh-make-golang (0.0~git20180104.6755e49-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Create manual section for search command.
  * Create patch for tests and forward it upstream.

 -- Alexandre Viau <aviau@debian.org>  Sat, 06 Jan 2018 12:14:07 -0500

dh-make-golang (0.0~git20171025.977a3bb-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20171025.977a3bb
  * Add golang-golang-x-sync-dev to dependencies

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 29 Oct 2017 22:23:35 +0100

dh-make-golang (0.0~git20171018.1df9d7a-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20171018.1df9d7a
  * Wrap and sort d/control

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Oct 2017 12:42:14 +0200

dh-make-golang (0.0~git20171007.f9dfad6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20171007.f9dfad6

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 08 Oct 2017 09:29:27 +0200

dh-make-golang (0.0~git20170925.0.fd02c4a-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20170925.0.fd02c4a
  * Use Priority: optional
  * Update d/copyright
  * Update Standards-Version to 4.1.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 07 Oct 2017 16:34:52 +0200

dh-make-golang (0.0~git20170703.0.5eaf198-2) unstable; urgency=medium

  * Team upload.
  * Depend on golang-any instead of golang-go
  * Fix d/copyright paragraphs

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 10 Jul 2017 20:14:33 +0200

dh-make-golang (0.0~git20170703.0.5eaf198-1) unstable; urgency=medium

  * New upstream version 0.0~git20170703.0.5eaf198
    - Remove patch, has been applied upstream
  * Use golang-any instead of golang-go
  * Update debian/copyright
  * Update Standards-Version to 4.0.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 03 Jul 2017 13:05:46 +0200

dh-make-golang (0.0~git20170702.0.e6ffd1d-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * Add autopkgtest support by default. Also use it for this package.

  [ Dr. Tobias Quathamer ]
  * Imported upstream version 0.0~git20170702.0.e6ffd1d

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 03 Jul 2017 10:09:27 +0200

dh-make-golang (0.0~git20161120.0.71f5e23-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Team upload.
  * Imported Upstream version 0.0~git20161120.0.71f5e23
  * Use debhelper v10
  * Update team name
  * Update to Standards-Version 3.9.8, no changes needed
  * Use XS-Go-Import-Path in d/control

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Nicolas Braud-Santoni ]
  * Depend on gbp and pristine-tar (Closes: #819930)
  * Recommends fixup.
    If git-buildpackage is a dependency, it should not be a recommends.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 29 Nov 2016 19:59:27 +0100

dh-make-golang (0.0~git20160414.0.c4f61b1-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Fix Build-Depends to list golang-github-russross-blackfriday-dev as first
    alternative. Closes: #819472
    This will ensure that the generated Built-Using field is again valid and
    let dak accept new uploads (such as the currently missing arm64 build).

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 14 Apr 2016 09:10:21 +0200

dh-make-golang (0.0~git20160414.0.c4f61b1-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 14 Apr 2016 08:59:10 +0200

dh-make-golang (0.0~git20150913.0.1221041-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 13 Sep 2015 18:31:23 +0200

dh-make-golang (0.0~git20150803.0.bd09cd9-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #794454)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 05 Aug 2015 09:49:22 +0200

dh-make-golang (0.0~git20150726.0.fc4210a-1) unstable; urgency=medium

  * Initial release (Closes: #793080)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 26 Jul 2015 16:49:47 +0200
